Last Comment Bug 530102 - Remove extensions.getMore* preferences
: Remove extensions.getMore* preferences
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1a2
Assigned To: Justin Wood (:Callek) (Away until Aug 29)
:
Mentors:
Depends on:
Blocks: SMAddonMgr
  Show dependency treegraph
 
Reported: 2009-11-20 09:28 PST by Dave Townsend [:mossop]
Modified: 2010-06-02 13:37 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Just drop them (1.93 KB, patch)
2010-05-19 10:44 PDT, Justin Wood (:Callek) (Away until Aug 29)
kairo: review+
neil: superreview+
dtownsend: feedback+
Details | Diff | Splinter Review

Description Dave Townsend [:mossop] 2009-11-20 09:28:53 PST
When you move to the 1.9.2 branch you should look at removing some/all of the extensions.getMore* preferences as these will once again make links appear in the add-ons manager. For Firefox we have removed all but the getMoreThemes link as we want a link to download themes in addition to the Get Add-ons panel in the manager.
Comment 1 Justin Wood (:Callek) (Away until Aug 29) 2010-05-19 10:44:56 PDT
Created attachment 446247 [details] [diff] [review]
Just drop them

The only one I'm not dropping is getMoreThemes because we actually use that outside of the Extension Manager.
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2010-05-19 14:15:17 PDT
Pushed as: http://hg.mozilla.org/comm-central/rev/f874ab022f1c
Comment 3 Dave Townsend [:mossop] 2010-06-02 13:37:14 PDT
Comment on attachment 446247 [details] [diff] [review]
Just drop them

Sorry for the slowness, looks fine

Note You need to log in before you can comment on or make changes to this bug.